//
// This code was generated by Enunciate.
// http://enunciate.codehaus.org/
//
#include <libxml/xmlwriter.h>
#include <libxml/xmlreader.h>
#include <Foundation/Foundation.h>

#ifndef DEBUG_ENUNCIATE
//turn off enunciate debugging.
#define DEBUG_ENUNCIATE 0
#endif

/**
 * Enunciate-specific interfaces and protocols.
 */
#ifndef ENUNCIATE_OBJC_TYPES
#define ENUNCIATE_OBJC_TYPES

/**
 * Protocol defining an Enunciate XML I/O methods.
 */
@protocol EnunciateXML

/**
 * Read an instance from XML.
 *
 * @param xml The XML to read.
 */
+ (id<EnunciateXML>) readFromXML: (NSData *) xml;

/**
 * Write this instance as XML.
 *
 * @return The XML.
 */
- (NSData *) writeToXML;

@end /*protocol EnunciateXML*/


/**
 * A basic XML node. Can be an element or an attribute. Used
 * instead of NSXMLElement because it's not supported on all
 * platforms yet.
 */
@interface JAXBBasicXMLNode : NSObject
{
  @private
    NSString *_name;
    NSString *_ns;
    NSString *_prefix;
    NSString *_value;
    NSArray  *_childElements;
    NSArray  *_attributes;
}

/**
 * Accessor for the (local) name of the XML node.
 *
 * @return The (local) name of the XML node.
 */
- (NSString *) name;

/**
 * Accessor for the (local) name of the XML node.
 *
 * @param newName The (local) name of the XML node.
 */
- (void) setName: (NSString *) newName;

/**
 * Accessor for the namespace of the XML node.
 *
 * @return The namespace of the XML node.
 */
- (NSString *) ns;

/**
 * Accessor for the namespace of the XML node.
 *
 * @param newNs The namespace of the XML node.
 */
- (void) setNs: (NSString *) newNs;

/**
 * Accessor for the namespace prefix of the XML node.
 *
 * @return The namespace prefix of the XML node.
 */
- (NSString *) prefix;

/**
 * Accessor for the namespace prefix of the XML node.
 *
 * @param newPrefix The namespace prefix of the XML node.
 */
- (void) setPrefix: (NSString *) newPrefix;

/**
 * Accessor for the value of the XML node.
 *
 * @return The value of the XML node.
 */
- (NSString *) value;

/**
 * Accessor for the value of the XML node.
 *
 * @param newValue The value of the XML node.
 */
- (void) setValue: (NSString *) newValue;

/**
 * Accessor for the child elements of the XML node.
 *
 * @return The child elements of the XML node.
 */
- (NSArray *) childElements;

/**
 * Accessor for the child elements of the XML node.
 *
 * @param newValue The child elements of the XML node.
 */
- (void) setChildElements: (NSArray *) newChildElements;

/**
 * Accessor for the attributes of the XML node.
 *
 * @return The attributes of the XML node.
 */
- (NSArray *) attributes;

/**
 * Accessor for the attributes of the XML node.
 *
 * @param newAttributes The attributes of the XML node.
 */
- (void) setAttributes: (NSArray *) newAttributes;
@end /*interface JAXBBasicXMLNode*/

#endif /* ENUNCIATE_OBJC_TYPES */


@class NEXUS_REST_APINS0ErrorReportRequestDTO;
@class NEXUS_REST_APINS0GlobalConfigurationResource;
@class NEXUS_REST_APINS0LogConfigResource;
@class NEXUS_REST_APINS0MirrorResource;
@class NEXUS_REST_APINS0NexusResponse;
@class NEXUS_REST_APINS0PrivilegeResourceRequest;
@class NEXUS_REST_APINS0RemoteHttpProxySettings;
@class NEXUS_REST_APINS0RepositoryDependentStatusResource;
@class NEXUS_REST_APINS0RepositoryGroupMemberRepository;
@class NEXUS_REST_APINS0RepositoryBaseResource;
@class NEXUS_REST_APINS0RepositoryRouteResource;
@class NEXUS_REST_APINS0RepositoryStatusResource;
@class NEXUS_REST_APINS0RepositoryTargetResource;
@class NEXUS_REST_APINS0RestApiSettings;
@class NEXUS_REST_APINS0ScheduledServicePropertyResource;
@class NEXUS_REST_APINS0SmtpSettings;
@class NEXUS_REST_APINS0SmtpSettingsResource;
@class NEXUS_REST_APINS0SystemNotificationSettings;
@class NEXUS_REST_APINS0ScheduledServiceBaseResource;
@class NEXUS_REST_APINS0RepositoryRouteMemberRepository;
@class NEXUS_REST_APINS0RemoteConnectionSettings;
@class NEXUS_REST_APINS0PrivilegeResource;
@class NEXUS_REST_APINS0ErrorReportingSettings;
@class NEXUS_REST_APINS0ErrorReportRequest;
@class NEXUS_REST_APINS0AuthenticationSettings;
@class NEXUS_REST_APINS0RepositoryStatusResourceResponse;
@class NEXUS_REST_APINS0SmtpSettingsResourceRequest;
@class NEXUS_REST_APINS0ScheduledServiceResourceResponse;
@class NEXUS_REST_APINS0RepositoryTargetResourceResponse;
@class NEXUS_REST_APINS0RepositoryRouteResourceResponse;
@class NEXUS_REST_APINS0RepositoryGroupResource;
@class NEXUS_REST_APINS0RepositoryGroupResourceResponse;
@class NEXUS_REST_APINS0RepositoryResourceResponse;
@class NEXUS_REST_APINS0MirrorResourceListRequest;
@class NEXUS_REST_APINS0LogConfigResourceResponse;
@class NEXUS_REST_APINS0GlobalConfigurationResourceResponse;

#ifndef DEF_NEXUS_REST_APINS0ErrorReportRequestDTO_H
#define DEF_NEXUS_REST_APINS0ErrorReportRequestDTO_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0ErrorReportRequestDTO : NSObject
{
  @private
    NSString *_description;
    NEXUS_REST_APINS0ErrorReportingSettings *_errorReportingSettings;
    BOOL _saveErrorReportingSettings;
    NSString *_title;
}

/**
 * (no documentation provided)
 */
- (NSString *) description;

/**
 * (no documentation provided)
 */
- (void) setDescription: (NSString *) newDescription;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0ErrorReportingSettings *) errorReportingSettings;

/**
 * (no documentation provided)
 */
- (void) setErrorReportingSettings: (NEXUS_REST_APINS0ErrorReportingSettings *) newErrorReportingSettings;

/**
 * (no documentation provided)
 */
- (BOOL) saveErrorReportingSettings;

/**
 * (no documentation provided)
 */
- (void) setSaveErrorReportingSettings: (BOOL) newSaveErrorReportingSettings;

/**
 * (no documentation provided)
 */
- (NSString *) title;

/**
 * (no documentation provided)
 */
- (void) setTitle: (NSString *) newTitle;
@end /* interface NEXUS_REST_APINS0ErrorReportRequestDTO */

#endif /* DEF_NEXUS_REST_APINS0ErrorReportRequestDTO_H */
#ifndef DEF_NEXUS_REST_APINS0GlobalConfigurationResource_H
#define DEF_NEXUS_REST_APINS0GlobalConfigurationResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0GlobalConfigurationResource : NSObject
{
  @private
    BOOL _securityAnonymousAccessEnabled;
    NEXUS_REST_APINS0RemoteHttpProxySettings *_globalHttpProxySettings;
    NEXUS_REST_APINS0RestApiSettings *_globalRestApiSettings;
    NEXUS_REST_APINS0SystemNotificationSettings *_systemNotificationSettings;
    NEXUS_REST_APINS0ErrorReportingSettings *_errorReportingSettings;
    NSArray *_securityRealms;
    NSString *_securityAnonymousPassword;
    BOOL _securityEnabled;
    NEXUS_REST_APINS0RemoteConnectionSettings *_globalConnectionSettings;
    NEXUS_REST_APINS0SmtpSettings *_smtpSettings;
    NSString *_securityAnonymousUsername;
}

/**
 * (no documentation provided)
 */
- (BOOL) securityAnonymousAccessEnabled;

/**
 * (no documentation provided)
 */
- (void) setSecurityAnonymousAccessEnabled: (BOOL) newSecurityAnonymousAccessEnabled;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RemoteHttpProxySettings *) globalHttpProxySettings;

/**
 * (no documentation provided)
 */
- (void) setGlobalHttpProxySettings: (NEXUS_REST_APINS0RemoteHttpProxySettings *) newGlobalHttpProxySettings;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RestApiSettings *) globalRestApiSettings;

/**
 * (no documentation provided)
 */
- (void) setGlobalRestApiSettings: (NEXUS_REST_APINS0RestApiSettings *) newGlobalRestApiSettings;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0SystemNotificationSettings *) systemNotificationSettings;

/**
 * (no documentation provided)
 */
- (void) setSystemNotificationSettings: (NEXUS_REST_APINS0SystemNotificationSettings *) newSystemNotificationSettings;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0ErrorReportingSettings *) errorReportingSettings;

/**
 * (no documentation provided)
 */
- (void) setErrorReportingSettings: (NEXUS_REST_APINS0ErrorReportingSettings *) newErrorReportingSettings;

/**
 * (no documentation provided)
 */
- (NSArray *) securityRealms;

/**
 * (no documentation provided)
 */
- (void) setSecurityRealms: (NSArray *) newSecurityRealms;

/**
 * (no documentation provided)
 */
- (NSString *) securityAnonymousPassword;

/**
 * (no documentation provided)
 */
- (void) setSecurityAnonymousPassword: (NSString *) newSecurityAnonymousPassword;

/**
 * (no documentation provided)
 */
- (BOOL) securityEnabled;

/**
 * (no documentation provided)
 */
- (void) setSecurityEnabled: (BOOL) newSecurityEnabled;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RemoteConnectionSettings *) globalConnectionSettings;

/**
 * (no documentation provided)
 */
- (void) setGlobalConnectionSettings: (NEXUS_REST_APINS0RemoteConnectionSettings *) newGlobalConnectionSettings;

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0SmtpSettings *) smtpSettings;

/**
 * (no documentation provided)
 */
- (void) setSmtpSettings: (NEXUS_REST_APINS0SmtpSettings *) newSmtpSettings;

/**
 * (no documentation provided)
 */
- (NSString *) securityAnonymousUsername;

/**
 * (no documentation provided)
 */
- (void) setSecurityAnonymousUsername: (NSString *) newSecurityAnonymousUsername;
@end /* interface NEXUS_REST_APINS0GlobalConfigurationResource */

#endif /* DEF_NEXUS_REST_APINS0GlobalConfigurationResource_H */
#ifndef DEF_NEXUS_REST_APINS0LogConfigResource_H
#define DEF_NEXUS_REST_APINS0LogConfigResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0LogConfigResource : NSObject
{
  @private
    NSString *_rootLoggerLevel;
    NSString *_rootLoggerAppenders;
    NSString *_fileAppenderLocation;
    NSString *_fileAppenderPattern;
}

/**
 * (no documentation provided)
 */
- (NSString *) rootLoggerLevel;

/**
 * (no documentation provided)
 */
- (void) setRootLoggerLevel: (NSString *) newRootLoggerLevel;

/**
 * (no documentation provided)
 */
- (NSString *) rootLoggerAppenders;

/**
 * (no documentation provided)
 */
- (void) setRootLoggerAppenders: (NSString *) newRootLoggerAppenders;

/**
 * (no documentation provided)
 */
- (NSString *) fileAppenderLocation;

/**
 * (no documentation provided)
 */
- (void) setFileAppenderLocation: (NSString *) newFileAppenderLocation;

/**
 * (no documentation provided)
 */
- (NSString *) fileAppenderPattern;

/**
 * (no documentation provided)
 */
- (void) setFileAppenderPattern: (NSString *) newFileAppenderPattern;
@end /* interface NEXUS_REST_APINS0LogConfigResource */

#endif /* DEF_NEXUS_REST_APINS0LogConfigResource_H */
#ifndef DEF_NEXUS_REST_APINS0MirrorResource_H
#define DEF_NEXUS_REST_APINS0MirrorResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0MirrorResource : NSObject
{
  @private
    NSString *_id;
    NSString *_url;
}

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;

/**
 * (no documentation provided)
 */
- (NSString *) url;

/**
 * (no documentation provided)
 */
- (void) setUrl: (NSString *) newUrl;
@end /* interface NEXUS_REST_APINS0MirrorResource */

#endif /* DEF_NEXUS_REST_APINS0MirrorResource_H */
#ifndef DEF_NEXUS_REST_APINS0NexusResponse_H
#define DEF_NEXUS_REST_APINS0NexusResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0NexusResponse : NSObject
{
  @private
}
@end /* interface NEXUS_REST_APINS0NexusResponse */

#endif /* DEF_NEXUS_REST_APINS0NexusResponse_H */
#ifndef DEF_NEXUS_REST_APINS0PrivilegeResourceRequest_H
#define DEF_NEXUS_REST_APINS0PrivilegeResourceRequest_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0PrivilegeResourceRequest : NSObject <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0PrivilegeResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0PrivilegeResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0PrivilegeResource *) newData;
@end /* interface NEXUS_REST_APINS0PrivilegeResourceRequest */

#endif /* DEF_NEXUS_REST_APINS0PrivilegeResourceRequest_H */
#ifndef DEF_NEXUS_REST_APINS0RemoteHttpProxySettings_H
#define DEF_NEXUS_REST_APINS0RemoteHttpProxySettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RemoteHttpProxySettings : NSObject
{
  @private
    NEXUS_REST_APINS0AuthenticationSettings *_authentication;
    NSArray *_nonProxyHosts;
    NSString *_proxyHostname;
    int _proxyPort;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0AuthenticationSettings *) authentication;

/**
 * (no documentation provided)
 */
- (void) setAuthentication: (NEXUS_REST_APINS0AuthenticationSettings *) newAuthentication;

/**
 * (no documentation provided)
 */
- (NSArray *) nonProxyHosts;

/**
 * (no documentation provided)
 */
- (void) setNonProxyHosts: (NSArray *) newNonProxyHosts;

/**
 * (no documentation provided)
 */
- (NSString *) proxyHostname;

/**
 * (no documentation provided)
 */
- (void) setProxyHostname: (NSString *) newProxyHostname;

/**
 * (no documentation provided)
 */
- (int) proxyPort;

/**
 * (no documentation provided)
 */
- (void) setProxyPort: (int) newProxyPort;
@end /* interface NEXUS_REST_APINS0RemoteHttpProxySettings */

#endif /* DEF_NEXUS_REST_APINS0RemoteHttpProxySettings_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryDependentStatusResource_H
#define DEF_NEXUS_REST_APINS0RepositoryDependentStatusResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryDependentStatusResource : NSObject
{
  @private
    NSString *_repoType;
    NSString *_id;
    NSString *_localStatus;
    NSString *_format;
}

/**
 * (no documentation provided)
 */
- (NSString *) repoType;

/**
 * (no documentation provided)
 */
- (void) setRepoType: (NSString *) newRepoType;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;

/**
 * (no documentation provided)
 */
- (NSString *) localStatus;

/**
 * (no documentation provided)
 */
- (void) setLocalStatus: (NSString *) newLocalStatus;

/**
 * (no documentation provided)
 */
- (NSString *) format;

/**
 * (no documentation provided)
 */
- (void) setFormat: (NSString *) newFormat;
@end /* interface NEXUS_REST_APINS0RepositoryDependentStatusResource */

#endif /* DEF_NEXUS_REST_APINS0RepositoryDependentStatusResource_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryGroupMemberRepository_H
#define DEF_NEXUS_REST_APINS0RepositoryGroupMemberRepository_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryGroupMemberRepository : NSObject
{
  @private
    NSString *_name;
    NSString *_resourceURI;
    NSString *_id;
}

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) resourceURI;

/**
 * (no documentation provided)
 */
- (void) setResourceURI: (NSString *) newResourceURI;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;
@end /* interface NEXUS_REST_APINS0RepositoryGroupMemberRepository */

#endif /* DEF_NEXUS_REST_APINS0RepositoryGroupMemberRepository_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryBaseResource_H
#define DEF_NEXUS_REST_APINS0RepositoryBaseResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryBaseResource : NSObject
{
  @private
    NSString *_id;
    NSString *_name;
    NSString *_provider;
    NSString *_providerRole;
    BOOL _exposed;
    NSString *_contentResourceURI;
    NSString *_repoType;
    NSString *_format;
}

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) provider;

/**
 * (no documentation provided)
 */
- (void) setProvider: (NSString *) newProvider;

/**
 * (no documentation provided)
 */
- (NSString *) providerRole;

/**
 * (no documentation provided)
 */
- (void) setProviderRole: (NSString *) newProviderRole;

/**
 * (no documentation provided)
 */
- (BOOL) exposed;

/**
 * (no documentation provided)
 */
- (void) setExposed: (BOOL) newExposed;

/**
 * (no documentation provided)
 */
- (NSString *) contentResourceURI;

/**
 * (no documentation provided)
 */
- (void) setContentResourceURI: (NSString *) newContentResourceURI;

/**
 * (no documentation provided)
 */
- (NSString *) repoType;

/**
 * (no documentation provided)
 */
- (void) setRepoType: (NSString *) newRepoType;

/**
 * (no documentation provided)
 */
- (NSString *) format;

/**
 * (no documentation provided)
 */
- (void) setFormat: (NSString *) newFormat;
@end /* interface NEXUS_REST_APINS0RepositoryBaseResource */

#endif /* DEF_NEXUS_REST_APINS0RepositoryBaseResource_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryRouteResource_H
#define DEF_NEXUS_REST_APINS0RepositoryRouteResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryRouteResource : NSObject
{
  @private
    NSString *_groupId;
    NSString *_ruleType;
    NSArray *_repositories;
    NSString *_pattern;
    NSString *_id;
}

/**
 * (no documentation provided)
 */
- (NSString *) groupId;

/**
 * (no documentation provided)
 */
- (void) setGroupId: (NSString *) newGroupId;

/**
 * (no documentation provided)
 */
- (NSString *) ruleType;

/**
 * (no documentation provided)
 */
- (void) setRuleType: (NSString *) newRuleType;

/**
 * (no documentation provided)
 */
- (NSArray *) repositories;

/**
 * (no documentation provided)
 */
- (void) setRepositories: (NSArray *) newRepositories;

/**
 * (no documentation provided)
 */
- (NSString *) pattern;

/**
 * (no documentation provided)
 */
- (void) setPattern: (NSString *) newPattern;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;
@end /* interface NEXUS_REST_APINS0RepositoryRouteResource */

#endif /* DEF_NEXUS_REST_APINS0RepositoryRouteResource_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryStatusResource_H
#define DEF_NEXUS_REST_APINS0RepositoryStatusResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryStatusResource : NSObject
{
  @private
    NSString *_proxyMode;
    NSString *_id;
    NSArray *_dependentRepos;
    NSString *_format;
    NSString *_repoType;
    NSString *_remoteStatus;
    NSString *_localStatus;
}

/**
 * (no documentation provided)
 */
- (NSString *) proxyMode;

/**
 * (no documentation provided)
 */
- (void) setProxyMode: (NSString *) newProxyMode;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;

/**
 * (no documentation provided)
 */
- (NSArray *) dependentRepos;

/**
 * (no documentation provided)
 */
- (void) setDependentRepos: (NSArray *) newDependentRepos;

/**
 * (no documentation provided)
 */
- (NSString *) format;

/**
 * (no documentation provided)
 */
- (void) setFormat: (NSString *) newFormat;

/**
 * (no documentation provided)
 */
- (NSString *) repoType;

/**
 * (no documentation provided)
 */
- (void) setRepoType: (NSString *) newRepoType;

/**
 * (no documentation provided)
 */
- (NSString *) remoteStatus;

/**
 * (no documentation provided)
 */
- (void) setRemoteStatus: (NSString *) newRemoteStatus;

/**
 * (no documentation provided)
 */
- (NSString *) localStatus;

/**
 * (no documentation provided)
 */
- (void) setLocalStatus: (NSString *) newLocalStatus;
@end /* interface NEXUS_REST_APINS0RepositoryStatusResource */

#endif /* DEF_NEXUS_REST_APINS0RepositoryStatusResource_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryTargetResource_H
#define DEF_NEXUS_REST_APINS0RepositoryTargetResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryTargetResource : NSObject
{
  @private
    NSArray *_patterns;
    NSString *_contentClass;
    NSString *_id;
    NSString *_name;
    NSString *_resourceURI;
}

/**
 * (no documentation provided)
 */
- (NSArray *) patterns;

/**
 * (no documentation provided)
 */
- (void) setPatterns: (NSArray *) newPatterns;

/**
 * (no documentation provided)
 */
- (NSString *) contentClass;

/**
 * (no documentation provided)
 */
- (void) setContentClass: (NSString *) newContentClass;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) resourceURI;

/**
 * (no documentation provided)
 */
- (void) setResourceURI: (NSString *) newResourceURI;
@end /* interface NEXUS_REST_APINS0RepositoryTargetResource */

#endif /* DEF_NEXUS_REST_APINS0RepositoryTargetResource_H */
#ifndef DEF_NEXUS_REST_APINS0RestApiSettings_H
#define DEF_NEXUS_REST_APINS0RestApiSettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RestApiSettings : NSObject
{
  @private
    BOOL _forceBaseUrl;
    int _uiTimeout;
    NSString *_baseUrl;
}

/**
 * (no documentation provided)
 */
- (BOOL) forceBaseUrl;

/**
 * (no documentation provided)
 */
- (void) setForceBaseUrl: (BOOL) newForceBaseUrl;

/**
 * (no documentation provided)
 */
- (int) uiTimeout;

/**
 * (no documentation provided)
 */
- (void) setUiTimeout: (int) newUiTimeout;

/**
 * (no documentation provided)
 */
- (NSString *) baseUrl;

/**
 * (no documentation provided)
 */
- (void) setBaseUrl: (NSString *) newBaseUrl;
@end /* interface NEXUS_REST_APINS0RestApiSettings */

#endif /* DEF_NEXUS_REST_APINS0RestApiSettings_H */
#ifndef DEF_NEXUS_REST_APINS0ScheduledServicePropertyResource_H
#define DEF_NEXUS_REST_APINS0ScheduledServicePropertyResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0ScheduledServicePropertyResource : NSObject
{
  @private
    NSString *_value;
    NSString *_key;
}

/**
 * (no documentation provided)
 */
- (NSString *) value;

/**
 * (no documentation provided)
 */
- (void) setValue: (NSString *) newValue;

/**
 * (no documentation provided)
 */
- (NSString *) key;

/**
 * (no documentation provided)
 */
- (void) setKey: (NSString *) newKey;
@end /* interface NEXUS_REST_APINS0ScheduledServicePropertyResource */

#endif /* DEF_NEXUS_REST_APINS0ScheduledServicePropertyResource_H */
#ifndef DEF_NEXUS_REST_APINS0SmtpSettings_H
#define DEF_NEXUS_REST_APINS0SmtpSettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0SmtpSettings : NSObject
{
  @private
    NSString *_systemEmailAddress;
    NSString *_password;
    BOOL _tlsEnabled;
    NSString *_username;
    BOOL _sslEnabled;
    NSString *_host;
    int _port;
}

/**
 * (no documentation provided)
 */
- (NSString *) systemEmailAddress;

/**
 * (no documentation provided)
 */
- (void) setSystemEmailAddress: (NSString *) newSystemEmailAddress;

/**
 * (no documentation provided)
 */
- (NSString *) password;

/**
 * (no documentation provided)
 */
- (void) setPassword: (NSString *) newPassword;

/**
 * (no documentation provided)
 */
- (BOOL) tlsEnabled;

/**
 * (no documentation provided)
 */
- (void) setTlsEnabled: (BOOL) newTlsEnabled;

/**
 * (no documentation provided)
 */
- (NSString *) username;

/**
 * (no documentation provided)
 */
- (void) setUsername: (NSString *) newUsername;

/**
 * (no documentation provided)
 */
- (BOOL) sslEnabled;

/**
 * (no documentation provided)
 */
- (void) setSslEnabled: (BOOL) newSslEnabled;

/**
 * (no documentation provided)
 */
- (NSString *) host;

/**
 * (no documentation provided)
 */
- (void) setHost: (NSString *) newHost;

/**
 * (no documentation provided)
 */
- (int) port;

/**
 * (no documentation provided)
 */
- (void) setPort: (int) newPort;
@end /* interface NEXUS_REST_APINS0SmtpSettings */

#endif /* DEF_NEXUS_REST_APINS0SmtpSettings_H */
#ifndef DEF_NEXUS_REST_APINS0SmtpSettingsResource_H
#define DEF_NEXUS_REST_APINS0SmtpSettingsResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0SmtpSettingsResource : NSObject
{
  @private
    NSString *_host;
    NSString *_username;
    NSString *_systemEmailAddress;
    BOOL _sslEnabled;
    NSString *_testEmail;
    NSString *_password;
    BOOL _tlsEnabled;
    int _port;
}

/**
 * (no documentation provided)
 */
- (NSString *) host;

/**
 * (no documentation provided)
 */
- (void) setHost: (NSString *) newHost;

/**
 * (no documentation provided)
 */
- (NSString *) username;

/**
 * (no documentation provided)
 */
- (void) setUsername: (NSString *) newUsername;

/**
 * (no documentation provided)
 */
- (NSString *) systemEmailAddress;

/**
 * (no documentation provided)
 */
- (void) setSystemEmailAddress: (NSString *) newSystemEmailAddress;

/**
 * (no documentation provided)
 */
- (BOOL) sslEnabled;

/**
 * (no documentation provided)
 */
- (void) setSslEnabled: (BOOL) newSslEnabled;

/**
 * (no documentation provided)
 */
- (NSString *) testEmail;

/**
 * (no documentation provided)
 */
- (void) setTestEmail: (NSString *) newTestEmail;

/**
 * (no documentation provided)
 */
- (NSString *) password;

/**
 * (no documentation provided)
 */
- (void) setPassword: (NSString *) newPassword;

/**
 * (no documentation provided)
 */
- (BOOL) tlsEnabled;

/**
 * (no documentation provided)
 */
- (void) setTlsEnabled: (BOOL) newTlsEnabled;

/**
 * (no documentation provided)
 */
- (int) port;

/**
 * (no documentation provided)
 */
- (void) setPort: (int) newPort;
@end /* interface NEXUS_REST_APINS0SmtpSettingsResource */

#endif /* DEF_NEXUS_REST_APINS0SmtpSettingsResource_H */
#ifndef DEF_NEXUS_REST_APINS0SystemNotificationSettings_H
#define DEF_NEXUS_REST_APINS0SystemNotificationSettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0SystemNotificationSettings : NSObject
{
  @private
    NSString *_emailAddresses;
    NSArray *_roles;
    BOOL _enabled;
}

/**
 * (no documentation provided)
 */
- (NSString *) emailAddresses;

/**
 * (no documentation provided)
 */
- (void) setEmailAddresses: (NSString *) newEmailAddresses;

/**
 * (no documentation provided)
 */
- (NSArray *) roles;

/**
 * (no documentation provided)
 */
- (void) setRoles: (NSArray *) newRoles;

/**
 * (no documentation provided)
 */
- (BOOL) enabled;

/**
 * (no documentation provided)
 */
- (void) setEnabled: (BOOL) newEnabled;
@end /* interface NEXUS_REST_APINS0SystemNotificationSettings */

#endif /* DEF_NEXUS_REST_APINS0SystemNotificationSettings_H */
#ifndef DEF_NEXUS_REST_APINS0ScheduledServiceBaseResource_H
#define DEF_NEXUS_REST_APINS0ScheduledServiceBaseResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0ScheduledServiceBaseResource : NSObject
{
  @private
    BOOL _enabled;
    NSString *_name;
    NSString *_schedule;
    NSString *_typeId;
    NSString *_alertEmail;
    NSArray *_properties;
    NSString *_id;
}

/**
 * (no documentation provided)
 */
- (BOOL) enabled;

/**
 * (no documentation provided)
 */
- (void) setEnabled: (BOOL) newEnabled;

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) schedule;

/**
 * (no documentation provided)
 */
- (void) setSchedule: (NSString *) newSchedule;

/**
 * (no documentation provided)
 */
- (NSString *) typeId;

/**
 * (no documentation provided)
 */
- (void) setTypeId: (NSString *) newTypeId;

/**
 * (no documentation provided)
 */
- (NSString *) alertEmail;

/**
 * (no documentation provided)
 */
- (void) setAlertEmail: (NSString *) newAlertEmail;

/**
 * (no documentation provided)
 */
- (NSArray *) properties;

/**
 * (no documentation provided)
 */
- (void) setProperties: (NSArray *) newProperties;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;
@end /* interface NEXUS_REST_APINS0ScheduledServiceBaseResource */

#endif /* DEF_NEXUS_REST_APINS0ScheduledServiceBaseResource_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryRouteMemberRepository_H
#define DEF_NEXUS_REST_APINS0RepositoryRouteMemberRepository_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryRouteMemberRepository : NSObject
{
  @private
    NSString *_resourceURI;
    NSString *_name;
    NSString *_id;
}

/**
 * (no documentation provided)
 */
- (NSString *) resourceURI;

/**
 * (no documentation provided)
 */
- (void) setResourceURI: (NSString *) newResourceURI;

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) id;

/**
 * (no documentation provided)
 */
- (void) setId: (NSString *) newId;
@end /* interface NEXUS_REST_APINS0RepositoryRouteMemberRepository */

#endif /* DEF_NEXUS_REST_APINS0RepositoryRouteMemberRepository_H */
#ifndef DEF_NEXUS_REST_APINS0RemoteConnectionSettings_H
#define DEF_NEXUS_REST_APINS0RemoteConnectionSettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RemoteConnectionSettings : NSObject
{
  @private
    int _connectionTimeout;
    int _retrievalRetryCount;
    NSString *_queryString;
    NSString *_userAgentString;
}

/**
 * (no documentation provided)
 */
- (int) connectionTimeout;

/**
 * (no documentation provided)
 */
- (void) setConnectionTimeout: (int) newConnectionTimeout;

/**
 * (no documentation provided)
 */
- (int) retrievalRetryCount;

/**
 * (no documentation provided)
 */
- (void) setRetrievalRetryCount: (int) newRetrievalRetryCount;

/**
 * (no documentation provided)
 */
- (NSString *) queryString;

/**
 * (no documentation provided)
 */
- (void) setQueryString: (NSString *) newQueryString;

/**
 * (no documentation provided)
 */
- (NSString *) userAgentString;

/**
 * (no documentation provided)
 */
- (void) setUserAgentString: (NSString *) newUserAgentString;
@end /* interface NEXUS_REST_APINS0RemoteConnectionSettings */

#endif /* DEF_NEXUS_REST_APINS0RemoteConnectionSettings_H */
#ifndef DEF_NEXUS_REST_APINS0PrivilegeResource_H
#define DEF_NEXUS_REST_APINS0PrivilegeResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0PrivilegeResource : NSObject
{
  @private
    NSString *_name;
    NSString *_repositoryTargetId;
    NSString *_type;
    NSArray *_method;
    NSString *_description;
    NSString *_repositoryId;
    NSString *_repositoryGroupId;
}

/**
 * (no documentation provided)
 */
- (NSString *) name;

/**
 * (no documentation provided)
 */
- (void) setName: (NSString *) newName;

/**
 * (no documentation provided)
 */
- (NSString *) repositoryTargetId;

/**
 * (no documentation provided)
 */
- (void) setRepositoryTargetId: (NSString *) newRepositoryTargetId;

/**
 * (no documentation provided)
 */
- (NSString *) type;

/**
 * (no documentation provided)
 */
- (void) setType: (NSString *) newType;

/**
 * (no documentation provided)
 */
- (NSArray *) method;

/**
 * (no documentation provided)
 */
- (void) setMethod: (NSArray *) newMethod;

/**
 * (no documentation provided)
 */
- (NSString *) description;

/**
 * (no documentation provided)
 */
- (void) setDescription: (NSString *) newDescription;

/**
 * (no documentation provided)
 */
- (NSString *) repositoryId;

/**
 * (no documentation provided)
 */
- (void) setRepositoryId: (NSString *) newRepositoryId;

/**
 * (no documentation provided)
 */
- (NSString *) repositoryGroupId;

/**
 * (no documentation provided)
 */
- (void) setRepositoryGroupId: (NSString *) newRepositoryGroupId;
@end /* interface NEXUS_REST_APINS0PrivilegeResource */

#endif /* DEF_NEXUS_REST_APINS0PrivilegeResource_H */
#ifndef DEF_NEXUS_REST_APINS0ErrorReportingSettings_H
#define DEF_NEXUS_REST_APINS0ErrorReportingSettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0ErrorReportingSettings : NSObject
{
  @private
    BOOL _useGlobalProxy;
    BOOL _reportErrorsAutomatically;
    NSString *_jiraPassword;
    NSString *_jiraUsername;
}

/**
 * (no documentation provided)
 */
- (BOOL) useGlobalProxy;

/**
 * (no documentation provided)
 */
- (void) setUseGlobalProxy: (BOOL) newUseGlobalProxy;

/**
 * (no documentation provided)
 */
- (BOOL) reportErrorsAutomatically;

/**
 * (no documentation provided)
 */
- (void) setReportErrorsAutomatically: (BOOL) newReportErrorsAutomatically;

/**
 * (no documentation provided)
 */
- (NSString *) jiraPassword;

/**
 * (no documentation provided)
 */
- (void) setJiraPassword: (NSString *) newJiraPassword;

/**
 * (no documentation provided)
 */
- (NSString *) jiraUsername;

/**
 * (no documentation provided)
 */
- (void) setJiraUsername: (NSString *) newJiraUsername;
@end /* interface NEXUS_REST_APINS0ErrorReportingSettings */

#endif /* DEF_NEXUS_REST_APINS0ErrorReportingSettings_H */
#ifndef DEF_NEXUS_REST_APINS0ErrorReportRequest_H
#define DEF_NEXUS_REST_APINS0ErrorReportRequest_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0ErrorReportRequest : NSObject <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0ErrorReportRequestDTO *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0ErrorReportRequestDTO *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0ErrorReportRequestDTO *) newData;
@end /* interface NEXUS_REST_APINS0ErrorReportRequest */

#endif /* DEF_NEXUS_REST_APINS0ErrorReportRequest_H */
#ifndef DEF_NEXUS_REST_APINS0AuthenticationSettings_H
#define DEF_NEXUS_REST_APINS0AuthenticationSettings_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0AuthenticationSettings : NSObject
{
  @private
    NSString *_ntlmHost;
    NSString *_password;
    NSString *_username;
    NSString *_ntlmDomain;
}

/**
 * (no documentation provided)
 */
- (NSString *) ntlmHost;

/**
 * (no documentation provided)
 */
- (void) setNtlmHost: (NSString *) newNtlmHost;

/**
 * (no documentation provided)
 */
- (NSString *) password;

/**
 * (no documentation provided)
 */
- (void) setPassword: (NSString *) newPassword;

/**
 * (no documentation provided)
 */
- (NSString *) username;

/**
 * (no documentation provided)
 */
- (void) setUsername: (NSString *) newUsername;

/**
 * (no documentation provided)
 */
- (NSString *) ntlmDomain;

/**
 * (no documentation provided)
 */
- (void) setNtlmDomain: (NSString *) newNtlmDomain;
@end /* interface NEXUS_REST_APINS0AuthenticationSettings */

#endif /* DEF_NEXUS_REST_APINS0AuthenticationSettings_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryStatusResourceResponse_H
#define DEF_NEXUS_REST_APINS0RepositoryStatusResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryStatusResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0RepositoryStatusResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RepositoryStatusResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0RepositoryStatusResource *) newData;
@end /* interface NEXUS_REST_APINS0RepositoryStatusResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0RepositoryStatusResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0SmtpSettingsResourceRequest_H
#define DEF_NEXUS_REST_APINS0SmtpSettingsResourceRequest_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0SmtpSettingsResourceRequest : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0SmtpSettingsResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0SmtpSettingsResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0SmtpSettingsResource *) newData;
@end /* interface NEXUS_REST_APINS0SmtpSettingsResourceRequest */

#endif /* DEF_NEXUS_REST_APINS0SmtpSettingsResourceRequest_H */
#ifndef DEF_NEXUS_REST_APINS0ScheduledServiceResourceResponse_H
#define DEF_NEXUS_REST_APINS0ScheduledServiceResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0ScheduledServiceResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0ScheduledServiceBaseResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0ScheduledServiceBaseResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0ScheduledServiceBaseResource *) newData;
@end /* interface NEXUS_REST_APINS0ScheduledServiceResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0ScheduledServiceResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryTargetResourceResponse_H
#define DEF_NEXUS_REST_APINS0RepositoryTargetResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryTargetResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0RepositoryTargetResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RepositoryTargetResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0RepositoryTargetResource *) newData;
@end /* interface NEXUS_REST_APINS0RepositoryTargetResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0RepositoryTargetResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryRouteResourceResponse_H
#define DEF_NEXUS_REST_APINS0RepositoryRouteResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryRouteResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0RepositoryRouteResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RepositoryRouteResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0RepositoryRouteResource *) newData;
@end /* interface NEXUS_REST_APINS0RepositoryRouteResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0RepositoryRouteResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryGroupResource_H
#define DEF_NEXUS_REST_APINS0RepositoryGroupResource_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryGroupResource : NEXUS_REST_APINS0RepositoryBaseResource
{
  @private
    NSArray *_repositories;
}

/**
 * (no documentation provided)
 */
- (NSArray *) repositories;

/**
 * (no documentation provided)
 */
- (void) setRepositories: (NSArray *) newRepositories;
@end /* interface NEXUS_REST_APINS0RepositoryGroupResource */

#endif /* DEF_NEXUS_REST_APINS0RepositoryGroupResource_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryGroupResourceResponse_H
#define DEF_NEXUS_REST_APINS0RepositoryGroupResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryGroupResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0RepositoryGroupResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RepositoryGroupResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0RepositoryGroupResource *) newData;
@end /* interface NEXUS_REST_APINS0RepositoryGroupResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0RepositoryGroupResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0RepositoryResourceResponse_H
#define DEF_NEXUS_REST_APINS0RepositoryResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0RepositoryResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0RepositoryBaseResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0RepositoryBaseResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0RepositoryBaseResource *) newData;
@end /* interface NEXUS_REST_APINS0RepositoryResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0RepositoryResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0MirrorResourceListRequest_H
#define DEF_NEXUS_REST_APINS0MirrorResourceListRequest_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0MirrorResourceListRequest : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NSArray *_data;
}

/**
 * (no documentation provided)
 */
- (NSArray *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NSArray *) newData;
@end /* interface NEXUS_REST_APINS0MirrorResourceListRequest */

#endif /* DEF_NEXUS_REST_APINS0MirrorResourceListRequest_H */
#ifndef DEF_NEXUS_REST_APINS0LogConfigResourceResponse_H
#define DEF_NEXUS_REST_APINS0LogConfigResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0LogConfigResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0LogConfigResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0LogConfigResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0LogConfigResource *) newData;
@end /* interface NEXUS_REST_APINS0LogConfigResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0LogConfigResourceResponse_H */
#ifndef DEF_NEXUS_REST_APINS0GlobalConfigurationResourceResponse_H
#define DEF_NEXUS_REST_APINS0GlobalConfigurationResourceResponse_H

/**
 * (no documentation provided)
 */
@interface NEXUS_REST_APINS0GlobalConfigurationResourceResponse : NEXUS_REST_APINS0NexusResponse <EnunciateXML>
{
  @private
    NEXUS_REST_APINS0GlobalConfigurationResource *_data;
}

/**
 * (no documentation provided)
 */
- (NEXUS_REST_APINS0GlobalConfigurationResource *) data;

/**
 * (no documentation provided)
 */
- (void) setData: (NEXUS_REST_APINS0GlobalConfigurationResource *) newData;
@end /* interface NEXUS_REST_APINS0GlobalConfigurationResourceResponse */

#endif /* DEF_NEXUS_REST_APINS0GlobalConfigurationResourceResponse_H */
